package com.muyu.remote.feign;


import com.muyu.common.core.domain.Result;
import com.muyu.common.domain.DataName;
import com.muyu.common.domain.TableNames;
import com.muyu.remote.feign.impl.SelectFeignFactory;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "cloud-property",fallbackFactory = SelectFeignFactory.class)
public interface SelectFeignService {

    /**
     * 查询表数据下所有表表
     * @param dataName 数据库名称
     * @return 反护试图
     */
    @PostMapping("/property/dataLink/findSelectDataShow")
    public Result<List<DataName>> findSelectDataShow(
            @RequestParam("dataName") String dataName);

    /**
     * 查询表数据dashuju表
     * @param dataTableName 查看表下的所有数据
     * @return 反护试图
     */
    @PostMapping("/property/dataLink/findSelectTableShow")
    public Result<List<TableNames>> findSelectTableShow(
            @RequestParam("dataTableName") String dataTableName);

    /**
     * 获取数据库名
     * @return 返回试图
     */
    @PostMapping("/property/dataName/list")
    @Operation(summary = "获取数据库名",description = "从数据库中抽取数据库名称")
    public Result<List<DataName>> extractDataName();

}
