package com.muyu.remote.feign.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.common.domain.DataName;
import com.muyu.common.domain.TableFie;
import com.muyu.remote.feign.BigDataFeignService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.muyu.remote.feign.factory
 * @Project：cloud-integration-
 * @name：BigDataFeignFactory
 * @Date：2024/8/29 20:10
 */
@Component
public class BigDataFeignFactory implements FallbackFactory<BigDataFeignService> {


    @Override
    public BigDataFeignService create(Throwable cause) {
        return new BigDataFeignService() {
            @Override
            public Result<List<DataName>> getDatabase() {
                throw new RuntimeException(cause.getCause());
            }

            @Override
            public Result<List<TableFie>> selectByName(String tableName) {
                throw new RuntimeException(cause.getCause());
            }
        };
    }
}
