package com.muyu.remote.feign.impl;

import com.muyu.common.core.domain.Result;
import com.muyu.common.domain.DataName;
import com.muyu.common.domain.TableNames;
import com.muyu.remote.feign.SelectFeignService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;


@Component
public class SelectFeignFactory implements FallbackFactory<SelectFeignService> {
    @Override
    public SelectFeignService create(Throwable cause) {
        return new SelectFeignService() {
            @Override
            public Result<List<DataName>> findSelectDataShow(String dataName) {
                return null;
            }

            @Override
            public Result<List<TableNames>> findSelectTableShow(String dataTableName) {
                return null;
            }

            @Override
            public Result<List<DataName>> extractDataName() {
                return null;
            }
        };
    }
}
