package com.muyu.servier;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.*;
import com.muyu.common.domain.req.RuleVersionUpdReq;
import com.muyu.common.domain.resp.RuleVersionResp;

import java.util.List;

/**
 * @Author：蓬叁
 * @Package：com.muyu.servier
 * @Project：cloud-rule
 * @name：RuleVersionServier
 * @Date：2024/8/27 上午11:46
 */
public interface RuleVersionService extends IService<RuleVersion> {
    List<RuleVersionResp> selectList(Long ruleId);

    void updateStatus(Long ruleVersionId, RuleVersionUpdReq ruleVersionUpdReq);

    void unstart(Long ruleVersionId);

    void start(Long ruleVersionId);
    /**
     * 通过规则ID设置激活状态
     * @param ruleVersionId ID
     * @param activate 状态 SysIsYesNo
     */
    public void settingVersionActivate(Long ruleVersionId, String activate);

    RuleVersion generatedCode(RuleVersion ruleVersion);

    void rowTest(DataRecord dataRecord);

    void setTest(DataSet dataSet);

    void valueTest(ValueData valueData);

    List<DataName> selectDatabase();

    List<TableNames> selectTableShow(String dataTableName);

    void uploadOSSJava(String ruleVersionType, String ruleVersionText);

    RuleVersion selectAll(String RuleVersionType);

    List<RuleVersion> selectValue();

    List<RuleVersion> selectRecord();

    List<RuleVersion> selectSet();
}
